device_type: beaglebone-black
job_name: begalbone healthcheck
timeouts:
  job:
    minutes: 30
  action:
    minutes: 15
  connection:
    minutes: 5
priority: medium
visibility: public
context:
  test_character_delay: 10
actions:
- boot:
    timeout:
      minutes: 15
    method: minimal
    auto_login:
      login_prompt: '.* login:'
      username: root
    prompts:
    - root@dragonboard-410c:~#

- test:
    interactive:
    - name: ls_test
      prompts: ["#"]
      script:
      - name: ls
        command: ls


